/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef NSSTEST_H
#define NSSTEST_H

#include <QTemporaryFile>
#include <QTemporaryDir>
#include <QObject>
#include <QList>
#include <QByteArray>

#include "certificatelist.h"

class NSSTest: public QObject
{
    Q_OBJECT

    QTemporaryDir fakeHome;
    QDir fakeFirefoxDir;
    QDir fakeThunderbirdDir;
    QTemporaryDir ffNSSDir;
    QTemporaryDir tbNSSDir;
    CertificateList validList;
    QTemporaryFile validListFile;
private:
    QList<QByteArray> get_nss_certs(QTemporaryDir *nssDir);
    void setupTestDir(QTemporaryDir *nssDir);

private Q_SLOTS:
    void initTestCase();
    void testInstRemove();
    void benchmarkInstall();
};

#endif // NSSTEST_H
